Subject: bug#42052: 28.0.50; tab-bar-mode should be frame-local

From: Juri Linkov <[email-masked]>
Date: Sun, 12 Jul 2020 03:04:31 +0300

>> I don't know if such thing as frame-local keybindings is currently possible.
>>
>> The manual at (info "(elisp) Searching Keymaps") shows the decision tree:
>
> FWIW, I think it would be nice to eliminate the last few remaining
> places where we collect the active keymaps by hand rather than by
> calling Fcurrent_active_maps.
>
> Then we could allow Elisp code to modify the behavior of
> `current-active-maps`.

I can't find these places where the active keymaps are collected by hand.
But maybe adding an advice on `current-active-maps` to use frame-local
keybindings might help to find these places where frame-local keybindings
will fail.